org.apache.geode.cache.configuration

## Class JndiBindingsType.JndiBinding

- java.lang.Object
- - org.apache.geode.cache.configuration.JndiBindingsType.JndiBinding

- All Implemented Interfaces:
    java.io.Serializable, CacheElement, Identifiable<java.lang.String>
  Enclosing class:
    JndiBindingsType

      @Experimental
      public static class JndiBindingsType.JndiBinding
      extends java.lang.Object
      implements CacheElement

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="config-property" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="config-property-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="config-property-type" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="config-property-value" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="blocking-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="conn-pooled-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="connection-url" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="idle-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="init-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="jdbc-driver-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="jndi-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="login-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="managed-conn-factory-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="password" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="transaction-type" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="ManagedDataSource"/>
                   <enumeration value="SimpleDataSource"/>
                   <enumeration value="PooledDataSource"/>
                   <enumeration value="XAPooledDataSource"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="user-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="xa-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JndiBindingsType.JndiBinding.ConfigProperty` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `blockingTimeoutSeconds`
    `protected java.util.List<JndiBindingsType.JndiBinding.ConfigProperty>` | `configProperty`
    `protected java.lang.String` | `connectionUrl`
    `protected java.lang.String` | `connPooledDatasourceClass`
    `protected java.lang.String` | `idleTimeoutSeconds`
    `protected java.lang.String` | `initPoolSize`
    `protected java.lang.String` | `jdbcDriverClass`
    `protected java.lang.String` | `jndiName`
    `protected java.lang.String` | `loginTimeoutSeconds`
    `protected java.lang.String` | `managedConnFactoryClass`
    `protected java.lang.String` | `maxPoolSize`
    `protected java.lang.String` | `password`
    `protected java.lang.String` | `transactionType`
    `protected java.lang.String` | `type`
    `protected java.lang.String` | `userName`
    `protected java.lang.String` | `xaDatasourceClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBlockingTimeoutSeconds()` Gets the value of the blockingTimeoutSeconds property.
    `java.util.List<JndiBindingsType.JndiBinding.ConfigProperty>` | `getConfigProperty()` Gets the value of the configProperty property.
    `java.lang.String` | `getConnectionUrl()` Gets the value of the connectionUrl property.
    `java.lang.String` | `getConnPooledDatasourceClass()` Gets the value of the connPooledDatasourceClass property.
    `java.lang.String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `java.lang.String` | `getIdleTimeoutSeconds()` Gets the value of the idleTimeoutSeconds property.
    `java.lang.String` | `getInitPoolSize()` Gets the value of the initPoolSize property.
    `java.lang.String` | `getJdbcDriverClass()` Gets the value of the jdbcDriverClass property.
    `java.lang.String` | `getJndiName()` Gets the value of the jndiName property.
    `java.lang.String` | `getLoginTimeoutSeconds()` Gets the value of the loginTimeoutSeconds property.
    `java.lang.String` | `getManagedConnFactoryClass()` Gets the value of the managedConnFactoryClass property.
    `java.lang.String` | `getMaxPoolSize()` Gets the value of the maxPoolSize property.
    `java.lang.String` | `getPassword()` Gets the value of the password property.
    `java.lang.String` | `getTransactionType()` Gets the value of the transactionType property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `java.lang.String` | `getUserName()` Gets the value of the userName property.
    `java.lang.String` | `getXaDatasourceClass()` Gets the value of the xaDatasourceClass property.
    `void` | `setBlockingTimeoutSeconds(java.lang.String value)` Sets the value of the blockingTimeoutSeconds property.
    `void` | `setConnectionUrl(java.lang.String value)` Sets the value of the connectionUrl property.
    `void` | `setConnPooledDatasourceClass(java.lang.String value)` Sets the value of the connPooledDatasourceClass property.
    `void` | `setIdleTimeoutSeconds(java.lang.String value)` Sets the value of the idleTimeoutSeconds property.
    `void` | `setInitPoolSize(java.lang.String value)` Sets the value of the initPoolSize property.
    `void` | `setJdbcDriverClass(java.lang.String value)` Sets the value of the jdbcDriverClass property.
    `void` | `setJndiName(java.lang.String value)` Sets the value of the jndiName property.
    `void` | `setLoginTimeoutSeconds(java.lang.String value)` Sets the value of the loginTimeoutSeconds property.
    `void` | `setManagedConnFactoryClass(java.lang.String value)` Sets the value of the managedConnFactoryClass property.
    `void` | `setMaxPoolSize(java.lang.String value)` Sets the value of the maxPoolSize property.
    `void` | `setPassword(java.lang.String value)` Sets the value of the password property.
    `void` | `setTransactionType(java.lang.String value)` Sets the value of the transactionType property.
    `void` | `setType(java.lang.String value)` Sets the value of the type property.
    `void` | `setUserName(java.lang.String value)` Sets the value of the userName property.
    `void` | `setXaDatasourceClass(java.lang.String value)` Sets the value of the xaDatasourceClass property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configProperty

          protected java.util.List<JndiBindingsType.JndiBinding.ConfigProperty> configProperty

    - #### blockingTimeoutSeconds

          protected java.lang.String blockingTimeoutSeconds

    - #### connPooledDatasourceClass

          protected java.lang.String connPooledDatasourceClass

    - #### connectionUrl

          protected java.lang.String connectionUrl

    - #### idleTimeoutSeconds

          protected java.lang.String idleTimeoutSeconds

    - #### initPoolSize

          protected java.lang.String initPoolSize

    - #### jdbcDriverClass

          protected java.lang.String jdbcDriverClass

    - #### jndiName

          protected java.lang.String jndiName

    - #### loginTimeoutSeconds

          protected java.lang.String loginTimeoutSeconds

    - #### managedConnFactoryClass

          protected java.lang.String managedConnFactoryClass

    - #### maxPoolSize

          protected java.lang.String maxPoolSize

    - #### password

          protected java.lang.String password

    - #### transactionType

          protected java.lang.String transactionType

    - #### type

          protected java.lang.String type

    - #### userName

          protected java.lang.String userName

    - #### xaDatasourceClass

          protected java.lang.String xaDatasourceClass

  - ### Constructor Detail

    - #### JndiBinding

          public JndiBinding()

  - ### Method Detail

    - #### getConfigProperty

          public java.util.List<JndiBindingsType.JndiBinding.ConfigProperty> getConfigProperty()

      Gets the value of the configProperty property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the configProperty property.

      For example, to add a new item, do as follows:

           getConfigProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `JndiBindingsType.JndiBinding.ConfigProperty`

    - #### getBlockingTimeoutSeconds

          public java.lang.String getBlockingTimeoutSeconds()

      Gets the value of the blockingTimeoutSeconds property.
      Returns:
        possible object is `String`

    - #### setBlockingTimeoutSeconds

          public void setBlockingTimeoutSeconds(java.lang.String value)

      Sets the value of the blockingTimeoutSeconds property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConnPooledDatasourceClass

          public java.lang.String getConnPooledDatasourceClass()

      Gets the value of the connPooledDatasourceClass property.
      Returns:
        possible object is `String`

    - #### setConnPooledDatasourceClass

          public void setConnPooledDatasourceClass(java.lang.String value)

      Sets the value of the connPooledDatasourceClass property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConnectionUrl

          public java.lang.String getConnectionUrl()

      Gets the value of the connectionUrl property.
      Returns:
        possible object is `String`

    - #### setConnectionUrl

          public void setConnectionUrl(java.lang.String value)

      Sets the value of the connectionUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdleTimeoutSeconds

          public java.lang.String getIdleTimeoutSeconds()

      Gets the value of the idleTimeoutSeconds property.
      Returns:
        possible object is `String`

    - #### setIdleTimeoutSeconds

          public void setIdleTimeoutSeconds(java.lang.String value)

      Sets the value of the idleTimeoutSeconds property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInitPoolSize

          public java.lang.String getInitPoolSize()

      Gets the value of the initPoolSize property.
      Returns:
        possible object is `String`

    - #### setInitPoolSize

          public void setInitPoolSize(java.lang.String value)

      Sets the value of the initPoolSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getJdbcDriverClass

          public java.lang.String getJdbcDriverClass()

      Gets the value of the jdbcDriverClass property.
      Returns:
        possible object is `String`

    - #### setJdbcDriverClass

          public void setJdbcDriverClass(java.lang.String value)

      Sets the value of the jdbcDriverClass property.
      Parameters:
        `value` - allowed object is `String`

    - #### getJndiName

          public java.lang.String getJndiName()

      Gets the value of the jndiName property.
      Returns:
        possible object is `String`

    - #### setJndiName

          public void setJndiName(java.lang.String value)

      Sets the value of the jndiName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLoginTimeoutSeconds

          public java.lang.String getLoginTimeoutSeconds()

      Gets the value of the loginTimeoutSeconds property.
      Returns:
        possible object is `String`

    - #### setLoginTimeoutSeconds

          public void setLoginTimeoutSeconds(java.lang.String value)

      Sets the value of the loginTimeoutSeconds property.
      Parameters:
        `value` - allowed object is `String`

    - #### getManagedConnFactoryClass

          public java.lang.String getManagedConnFactoryClass()

      Gets the value of the managedConnFactoryClass property.
      Returns:
        possible object is `String`

    - #### setManagedConnFactoryClass

          public void setManagedConnFactoryClass(java.lang.String value)

      Sets the value of the managedConnFactoryClass property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxPoolSize

          public java.lang.String getMaxPoolSize()

      Gets the value of the maxPoolSize property.
      Returns:
        possible object is `String`

    - #### setMaxPoolSize

          public void setMaxPoolSize(java.lang.String value)

      Sets the value of the maxPoolSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPassword

          public java.lang.String getPassword()

      Gets the value of the password property.
      Returns:
        possible object is `String`

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets the value of the password property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTransactionType

          public java.lang.String getTransactionType()

      Gets the value of the transactionType property.
      Returns:
        possible object is `String`

    - #### setTransactionType

          public void setTransactionType(java.lang.String value)

      Sets the value of the transactionType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUserName

          public java.lang.String getUserName()

      Gets the value of the userName property.
      Returns:
        possible object is `String`

    - #### setUserName

          public void setUserName(java.lang.String value)

      Sets the value of the userName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getXaDatasourceClass

          public java.lang.String getXaDatasourceClass()

      Gets the value of the xaDatasourceClass property.
      Returns:
        possible object is `String`

    - #### setXaDatasourceClass

          public void setXaDatasourceClass(java.lang.String value)

      Sets the value of the xaDatasourceClass property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<java.lang.String>`
      Returns:
        an identifier uniquely identifying this Object.